Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1641 - Buffer overflows in chat - no obvious security implications
Summary: Buffer overflows in chat - no obvious security implications
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ppp
Version: 5.1
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Michael K. Johnson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-03-20 15:06 UTC by huuskone
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-28 19:41:55 UTC


Attachments (Terms of Use)

Description huuskone 1999-03-20 15:06:37 UTC
Various buffers in chat can be overflowed.  However, there is no obvious way to compromise security using these bugs.  Under certain special circumstances an outside attacker could supply an argument to a free() library call.
To reproduce one instance of the bug, type "chat REPORT x ABORT y z" and supply a line of more than 100 x's as input.
I'm working on a patch myself.

Comment 1 Cristian Gafton 1999-07-28 06:54:59 UTC
assigned to johnsonm

Comment 2 Michael K. Johnson 1999-08-28 19:41:59 UTC
appears to be fixed in ppp-2.3.9


Note You need to log in before you can comment on or make changes to this bug.